package org.rcisoft.business.bfile.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
* Created with gaowenfneg on 2017-10-9 14:34:56.
*/
@Entity
@Table(name = "b_file")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BFile extends IdEntity<BFile> {

    private static final long serialVersionUID = 5501554322621964535L;
    /*视频名称*/
    private String videoName;

    /*视频地址*/
    private String videoUrl;

    /*'0'为视频，'1'为附件*/
    private String type;

    private String fileUrl;

    private String pptUrl;

    private String pdfUrl;

    private String lessonId;//课程ID

    private String slId;//开课ID

    private String chapterId;//节ID
}

