package org.rcisoft.business.texaminfo.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.texaminfo.entity.TExamInfo;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TExamInfoRepository extends BaseMapper<TExamInfo> {

    /**
    * 分页查询 tExamInfo
    *
    */
    @Select("<script>select * from t_exam_info where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if>' "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if>' "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TExamInfo> queryTExamInfos(TExamInfo tExamInfo);
}

