package org.rcisoft.business.tpaper.dao;

import org.rcisoft.business.tpaper.entity.TPaperSection;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TPaperSectionRepository extends BaseMapper<TPaperSection> {

    /**
    * 分页查询 tPaperSection
    *
    */
    @Select("<script>select * from t_paper_section where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if>' "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if>' "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TPaperSection> queryTPaperSections(TPaperSection tPaperSection);
}

