package org.rcisoft.business.tpaperchapter.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.tpaperchapter.entity.TPaperChapter;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TPaperChapterRepository extends BaseMapper<TPaperChapter> {

    /**
    * 分页查询 tPaperChapter
    *
    */
    @Select("<script>select * from t_paper_chapter where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if>' "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if>' "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TPaperChapter> queryTPaperChapters(TPaperChapter tPaperChapter);
}

