package org.rcisoft.business.tquestion.entity;

import lombok.*;

import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_question")
public class TQuestion  extends IdEntity<TQuestion> {



     private String slId;

     private String chapId;

     private String qtype;

     private String qtitle;

     private String qdesc;

     private String qanswer;

     @Transient
     private String qid;

     @Transient
     private String alias;

     private String desc;


}

